Debian Bug report logs - #146464
bash: /dev/tcp should be enabled by default

version graph

Package: bash; Maintainer for bash is Matthias Klose <doko@debian.org>; Source for bash is src:bash.

Reported by: Klaus Ethgen <Klaus@Ethgen.de>

Date: Fri, 10 May 2002 07:18:14 UTC

Severity: wishlist

Tags: wontfix

Found in versions 2.05a-11, bash/3.1dfsg-8

Done: Carlos Alberto Lopez Perez <clopez@igalia.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Matthias Klose <doko@debian.org>, bash@packages.qa.debian.org:
Bug#146464; Package bash. Full text and rfc822 format available.

Acknowledgement sent to Klaus Ethgen <Klaus@Ethgen.de>:
New Bug report received and forwarded. Copy sent to Matthias Klose <doko@debian.org>, bash@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Klaus Ethgen <Klaus@Ethgen.de>
To: Debian Bug Tracking System <maintonly@bugs.debian.org>
Subject: bash: /dev/tcp should be enabled by default
Date: Fri, 10 May 2002 09:09:25 +0200
Package: bash
Version: 2.05a-11
Severity: wishlist

Hello,

The problem is that always more and more scripts use the feature of
/dev/tcp and /dev/udp to make a tcp connection on ever platform. This
scripts do not run on debian/GNU Linux!

I read the problemes which are explain in bug #65172. They should be
fixed in the actuell version of bash. So there is no reason to not use
this feature. (No real user use /dev/tcp or /dev/udp as real path!)

Yours
   Klaus

-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux hathi 2.4.19-pre2 #1 Son Apr 7 22:01:32 CEST 2002 i686
Locale: LANG=de_DE, LC_CTYPE=de_DE

Versions of packages bash depends on:
ii  base-files               3.0.2           Debian base system miscellaneous f
ii  libc6                    2.2.5-4         GNU C Library: Shared libraries an
ii  libncurses5              5.2.20020112a-7 Shared libraries for terminal hand




Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>, bash@packages.qa.debian.org:
Bug#146464; Package bash. Full text and rfc822 format available.

Acknowledgement sent to Arnout Engelen <arnouten@bzzt.net>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>, bash@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 146464@bugs.debian.org (full text, mbox):

From: Arnout Engelen <arnouten@bzzt.net>
To: 146464@bugs.debian.org
Subject: documentation bug
Date: Mon, 31 Mar 2003 03:48:15 +0200
I would be in favour of enabling net redirections in bash (done by
adding '--enable-net-redirections' to the ./configure run). 

However, until that time, the section in 'man bash' is quite misleading:
it appears to imply that net redirections are supported, while in fact
they aren't.

The references to net redirections (in the REDIRECTION section of the
manpage) should be removed. Or, we could just start supporting net
redirections right away, of course :)



Information stored:
Bug#146464; Package bash. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #15 received at 146464-quiet@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: 146464-quiet@bugs.debian.org
Subject: bash /dev/tcp
Date: Thu, 15 Jul 2004 19:52:10 -0400
[Message part 1 (text/plain, inline)]
I support this too.
Thanks,
Justin
[signature.asc (application/pgp-signature, inline)]

Tags added: wontfix Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#146464; Package bash. Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <charles-debian-nospam@plessy.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. Full text and rfc822 format available.

Message #22 received at 146464@bugs.debian.org (full text, mbox):

From: Charles Plessy <charles-debian-nospam@plessy.org>
To: Debian Bug Tracking System <146464@bugs.debian.org>
Subject: bash: More info in the archives of debian-user and debian-devel.
Date: Sat, 25 Nov 2006 15:50:14 +0900
Package: bash
Followup-For: Bug #146464

The reader of this bug report may be interested in the following
discussion in debian mail lists:

http://lists.debian.org/debian-user/2003/04/msg01591.html
http://lists.debian.org/debian-user/2006/07/msg00121.html
http://lists.debian.org/debian-devel/2006/11/msg00794.html

Have a nice day,

-- 
Charles Plessy
Wako, Saitama, Japan



Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#146464; Package bash. Full text and rfc822 format available.

Acknowledgement sent to "A.K." <avalon@friendofpooh.com>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. Full text and rfc822 format available.

Message #27 received at 146464@bugs.debian.org (full text, mbox):

From: "A.K." <avalon@friendofpooh.com>
To: Debian Bug Tracking System <146464@bugs.debian.org>
Subject: bash: +1 for that feature
Date: Wed, 29 Aug 2007 19:10:44 +0300
Package: bash
Version: 3.1dfsg-8
Followup-For: Bug #146464


This future is a convenient way to have simple network conneciton in a 
very portable manner (solaris,HP-UX,most linux distros, cygwin).

It doesn't hurt security as if a hacker gets to a shell at all, 
you are in a big trouble anyway.

There is already a tool doing better is no argument to me as we have 
hundreds programs with common features.

Could you at least provide an alternative package for those needing the 
feature?

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-5-k7
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages bash depends on:
ii  base-files             4                 Debian base system miscellaneous f
ii  debianutils            2.17              Miscellaneous utilities specific t
ii  libc6                  2.3.6.ds1-13etch2 GNU C Library: Shared libraries
ii  libncurses5            5.5-5             Shared libraries for terminal hand

bash recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#146464; Package bash. (Fri, 13 Mar 2009 13:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Letessier <julien.letessier@gmail.com>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Fri, 13 Mar 2009 13:48:02 GMT) Full text and rfc822 format available.

Message #32 received at 146464@bugs.debian.org (full text, mbox):

From: Julien Letessier <julien.letessier@gmail.com>
To: 146464@bugs.debian.org
Subject: #146464 - bash: /dev/tcp should be enabled by default - Debian Bug report logs
Date: Fri, 13 Mar 2009 14:47:11 +0100
6 years after being reported, this is still in 'wontfix' state, with  
absolutely no good reason given.

this kind of disrespectful behaviour from the maintainers becomes  
tiresome. perhaps it's time to change distros.

-- julien letessier





Reply sent to Carlos Alberto Lopez Perez <clopez@igalia.com>:
You have taken responsibility. (Fri, 03 May 2013 21:42:05 GMT) Full text and rfc822 format available.

Notification sent to Klaus Ethgen <Klaus@Ethgen.de>:
Bug acknowledged by developer. (Fri, 03 May 2013 21:42:05 GMT) Full text and rfc822 format available.

Message #37 received at 146464-done@bugs.debian.org (full text, mbox):

From: Carlos Alberto Lopez Perez <clopez@igalia.com>
To: 146464-done@bugs.debian.org
Subject: bash: /dev/tcp is already enabled
Date: Fri, 03 May 2013 23:38:14 +0200
[Message part 1 (text/plain, inline)]
Hi!

Seems this feature was enabled long time ago.

bash (4.0-5) unstable; urgency=low

  * Re-add dependency on dash, lost with the upload of 4.0.
  * Don't configure with --disable-net-redirections.
  * Fix name of system wide bash_logout in bash(1). Closes: #546200.
  * Stop shipping the sh and sh(1) symlinks. Closes: #545103.
  * Apply upstream patches 029 - 033.

 -- Matthias Klose <doko@debian.org>  Sun, 13 Sep 2009 12:55:54 +0200


Both on Squeeze and Wheezy this feature of bash is working


Closing this bug.

[signature.asc (application/pgp-signature, attachment)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 01 Jun 2013 07:28:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:55:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.